{{ if and .Values.storage.config.enabled (not .Values.storage.config.existingClaim) -}}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  name: {{ .Values.storage.config.name }}
spec:
  resources:
    requests:
      storage: {{ .Values.storage.config.size }}
  {{- if .Values.storage.config.accessModes }}
  accessModes:
  {{- range $mode := .Values.storage.config.accessModes }}
    - {{ $mode }}
  {{- end -}}
  {{- end }}
  {{ if .Values.storage.config.class }}storageClassName: {{ .Values.storage.config.class }}{{ end }}
status: {}
{{- end }}
